NotificationType (gCube Social Networking Library 1.16.1-SNAPSHOT API)
Date: 2019-09-24

org.gcube.portal.databook.shared

## Enum NotificationType

- java.lang.Object
- - java.lang.Enum<NotificationType>
  - - org.gcube.portal.databook.shared.NotificationType

- All Implemented Interfaces:
    Serializable, Comparable<NotificationType>

      public enum NotificationType
      extends Enum<NotificationType>

  Author:
    Massimiliano Assante ISTI-CNR TODO: Buggy if NotificationType for WP_* are refactored see DBCassandraAstyanaxImpl#getUserNotificationPreferences(String userid) introduced due to urgent matters

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALENDAR_ADDED_EVENT` use to notify a user that someone in his VRE created a new Event in the Calendar
    `CALENDAR_DELETED_EVENT` use to notify a user that someone in his VRE deleted an Event in the Calendar
    `CALENDAR_UPDATED_EVENT` use to notify a user that someone in his VRE updated an Event in the Calendar
    `COMMENT` use to notify a user that commented on a feed (Not his) that someone commented too
    `DOCUMENT_WORKFLOW_EDIT` Deprecated.
    `DOCUMENT_WORKFLOW_FIRST_STEP_REQUEST_INVOLVMENT` Deprecated.
    `DOCUMENT_WORKFLOW_FORWARD_STEP_COMPLETED_OWNER` Deprecated.
    `DOCUMENT_WORKFLOW_STEP_FORWARD_PEER` Deprecated.
    `DOCUMENT_WORKFLOW_STEP_REQUEST_TASK` Deprecated.
    `DOCUMENT_WORKFLOW_USER_FORWARD_TO_OWNER` Deprecated.
    `DOCUMENT_WORKFLOW_VIEW` Deprecated.
    `GENERIC` generic notification
    `JOB_COMPLETED_NOK` use to notify a user he got a job completed not ok
    `JOB_COMPLETED_OK` use to notify a user he got a job completed ok
    `LIKE` use to notify a user he got one of his feed liked
    `MENTION` use to notify a user that he got mentioned in one post
    `MESSAGE` use to notify a user he got a message
    `OWN_COMMENT` use to notify a user he got one of his feed commented
    `POST_ALERT` use to notify every user of a VRE/Group that the post was made
    `REQUEST_CONNECTION` use to notify a user he got a connections request
    `TDM_RULE_SHARE` use to notify a user he got a TDM Rule shared
    `TDM_TAB_RESOURCE_SHARE` use to notify a user he got a Tabular Resource shared
    `TDM_TEMPLATE_SHARE` use to notify a user he got a TDM Templated shared
    `WP_ADMIN_DOWNGRADE` use to notify a user that he got downgraded from administrator of a shared folder
    `WP_ADMIN_UPGRADE` use to notify a user that he got upgraded to administrator of a shared folder
    `WP_FOLDER_ADDEDUSER` use to notify a user that a new user was added in on of his workspace shared folder
    `WP_FOLDER_REMOVEDUSER` use to notify a user that an existing user was removed from one of his workspace shared folder
    `WP_FOLDER_RENAMED` use to notify a user he got a workspace folder renamed
    `WP_FOLDER_SHARE` use to notify a user he got a workspace folder shared
    `WP_FOLDER_UNSHARE` use to notify a user that a user in the share unshared
    `WP_ITEM_DELETE` use to notify a user he got a workspace item deleted from one of his workspace shared folder
    `WP_ITEM_NEW` use to notify a user he got a workspace item new in some of his workspace shared folder
    `WP_ITEM_RENAMED` use to notify a user he got a workspace item renamed from one of his workspace shared folder
    `WP_ITEM_UPDATED` use to notify a user he got a workspace item updated from one of his workspace shared folder

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotificationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NotificationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TDM_TAB_RESOURCE_SHARE

          public static final NotificationType TDM_TAB_RESOURCE_SHARE

      use to notify a user he got a Tabular Resource shared

    - #### TDM_RULE_SHARE

          public static final NotificationType TDM_RULE_SHARE

      use to notify a user he got a TDM Rule shared

    - #### TDM_TEMPLATE_SHARE

          public static final NotificationType TDM_TEMPLATE_SHARE

      use to notify a user he got a TDM Templated shared

    - #### WP_FOLDER_SHARE

          public static final NotificationType WP_FOLDER_SHARE

      use to notify a user he got a workspace folder shared

    - #### WP_FOLDER_UNSHARE

          public static final NotificationType WP_FOLDER_UNSHARE

      use to notify a user that a user in the share unshared

    - #### WP_ADMIN_UPGRADE

          public static final NotificationType WP_ADMIN_UPGRADE

      use to notify a user that he got upgraded to administrator of a shared folder

    - #### WP_ADMIN_DOWNGRADE

          public static final NotificationType WP_ADMIN_DOWNGRADE

      use to notify a user that he got downgraded from administrator of a shared folder

    - #### WP_FOLDER_ADDEDUSER

          public static final NotificationType WP_FOLDER_ADDEDUSER

      use to notify a user that a new user was added in on of his workspace shared folder

    - #### WP_FOLDER_REMOVEDUSER

          public static final NotificationType WP_FOLDER_REMOVEDUSER

      use to notify a user that an existing user was removed from one of his workspace shared folder

    - #### WP_FOLDER_RENAMED

          public static final NotificationType WP_FOLDER_RENAMED

      use to notify a user he got a workspace folder renamed

    - #### WP_ITEM_DELETE

          public static final NotificationType WP_ITEM_DELETE

      use to notify a user he got a workspace item deleted from one of his workspace shared folder

    - #### WP_ITEM_UPDATED

          public static final NotificationType WP_ITEM_UPDATED

      use to notify a user he got a workspace item updated from one of his workspace shared folder

    - #### WP_ITEM_RENAMED

          public static final NotificationType WP_ITEM_RENAMED

      use to notify a user he got a workspace item renamed from one of his workspace shared folder

    - #### WP_ITEM_NEW

          public static final NotificationType WP_ITEM_NEW

      use to notify a user he got a workspace item new in some of his workspace shared folder

    - #### OWN_COMMENT

          public static final NotificationType OWN_COMMENT

      use to notify a user he got one of his feed commented

    - #### COMMENT

          public static final NotificationType COMMENT

      use to notify a user that commented on a feed (Not his) that someone commented too

    - #### MENTION

          public static final NotificationType MENTION

      use to notify a user that he got mentioned in one post

    - #### LIKE

          public static final NotificationType LIKE

      use to notify a user he got one of his feed liked

    - #### MESSAGE

          public static final NotificationType MESSAGE

      use to notify a user he got a message

    - #### POST_ALERT

          public static final NotificationType POST_ALERT

      use to notify every user of a VRE/Group that the post was made

    - #### CALENDAR_ADDED_EVENT

          public static final NotificationType CALENDAR_ADDED_EVENT

      use to notify a user that someone in his VRE created a new Event in the Calendar

    - #### CALENDAR_UPDATED_EVENT

          public static final NotificationType CALENDAR_UPDATED_EVENT

      use to notify a user that someone in his VRE updated an Event in the Calendar

    - #### CALENDAR_DELETED_EVENT

          public static final NotificationType CALENDAR_DELETED_EVENT

      use to notify a user that someone in his VRE deleted an Event in the Calendar

    - #### REQUEST_CONNECTION

          public static final NotificationType REQUEST_CONNECTION

      use to notify a user he got a connections request

    - #### JOB_COMPLETED_OK

          public static final NotificationType JOB_COMPLETED_OK

      use to notify a user he got a job completed ok

    - #### JOB_COMPLETED_NOK

          public static final NotificationType JOB_COMPLETED_NOK

      use to notify a user he got a job completed not ok

    - #### DOCUMENT_WORKFLOW_EDIT

          @Deprecated
          public static final NotificationType DOCUMENT_WORKFLOW_EDIT

      Deprecated.
      use to notify a document workflow owner that someone has edited a document involved in a worflow he created

    - #### DOCUMENT_WORKFLOW_VIEW

          @Deprecated
          public static final NotificationType DOCUMENT_WORKFLOW_VIEW

      Deprecated.
      use to notify a document workflow owner that someone has viewed a document involved in a worflow he created

    - #### DOCUMENT_WORKFLOW_STEP_REQUEST_TASK

          @Deprecated
          public static final NotificationType DOCUMENT_WORKFLOW_STEP_REQUEST_TASK

      Deprecated.
      use to notify a document workflow user (user that in the same document workflow) that forwarded to a step where he is requested to do a task

    - #### DOCUMENT_WORKFLOW_FIRST_STEP_REQUEST_INVOLVMENT

          @Deprecated
          public static final NotificationType DOCUMENT_WORKFLOW_FIRST_STEP_REQUEST_INVOLVMENT

      Deprecated.
      use to notify a document workflow user that he was involved into a new Document Workflow and he is requested to do a task

    - #### DOCUMENT_WORKFLOW_USER_FORWARD_TO_OWNER

          @Deprecated
          public static final NotificationType DOCUMENT_WORKFLOW_USER_FORWARD_TO_OWNER

      Deprecated.
      use to notify a document workflow owner that a user performed a forward action to another step a document worflow he created

    - #### DOCUMENT_WORKFLOW_FORWARD_STEP_COMPLETED_OWNER

          @Deprecated
          public static final NotificationType DOCUMENT_WORKFLOW_FORWARD_STEP_COMPLETED_OWNER

      Deprecated.
      use to notify a document workflow owner that someone forwarded and the workflow moved to another step a document worflow he created

    - #### DOCUMENT_WORKFLOW_STEP_FORWARD_PEER

          @Deprecated
          public static final NotificationType DOCUMENT_WORKFLOW_STEP_FORWARD_PEER

      Deprecated.
      use to notify a document workflow peer (user that in the same step has your same role) that someone performed a forward action to another step in a document worflow he is involved into

    - #### GENERIC

          public static final NotificationType GENERIC

      generic notification

  - ### Method Detail

    - #### values

          public static NotificationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotificationType c : NotificationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotificationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All Rights Reserved.